Bug 13436 - Add more options to UsageStatsLibraryType
Summary: Add more options to UsageStatsLibraryType
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: System Administration (show other bugs)
Version: 3.16
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Bugs List
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-12-11 06:03 UTC by Katrin Fischer
Modified: 2016-06-21 21:36 UTC (History)
8 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 13436: Adding more options to UsageStatsLibraryType syspref (1.81 KB, patch)
2014-12-15 22:55 UTC, Aleisha Amohia
Details | Diff | Splinter Review
Bug 13436: Adding more options to UsageStatsLibraryType syspref (1.84 KB, patch)
2014-12-18 00:24 UTC, Aleisha Amohia
Details | Diff | Splinter Review
Bug 13436: Adding more options to UsageStatsLibraryType syspref (1.95 KB, patch)
2014-12-18 10:12 UTC, Jonathan Druart
Details | Diff | Splinter Review
[PASSED QA] Bug 13436: Adding more options to UsageStatsLibraryType syspref (2.01 KB, patch)
2014-12-19 16:10 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 13436: (RM followup) university -> academic DB update (2.76 KB, patch)
2014-12-19 19:48 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2014-12-11 06:03:57 UTC
Currently UsageStatsLibraryType only offers the options public or university, which doesn't fit for all libraries.

Maybe University should be Academic?
Comment 1 Jonathan Druart 2014-12-11 08:23:21 UTC
What entries could we add to be more exhaustive?
Comment 2 Katrin Fischer 2014-12-11 08:41:27 UTC
Hi Jonathan, I filed this as reaction to a mail on the mailing list. I am not sure if University is just the wrong term and people would be more happy with "academic" and "public" or if we should be more exhaustive, adding things like school, special, ...?
Comment 3 Elaine Bradtke 2014-12-15 19:39:10 UTC
Other types:
At the least you should add something like 'Special' (this would cover a lot of territory)

Others that might be useful
Research
Private
Society or Association
Corporate
Government
Religious organization (or something similar?)
Subscription
Comment 4 Chris Cormack 2014-12-15 19:42:07 UTC
Aleisha is going to do some work on this.
Comment 5 Aleisha Amohia 2014-12-15 22:55:52 UTC Comment hidden (obsolete)
Comment 6 Katrin Fischer 2014-12-16 08:05:01 UTC
Hi Aleisha - thx for the patch! Reading the list this morning I think school might be another good addition.

Can someone explain what subscription is in this context?
Comment 7 Elaine Bradtke 2014-12-17 16:23:31 UTC
Subscription libraries used to be much more common.  The members pay an annual fee for the use of the facility and its material.  The London Library is probably the most famous of these: www.londonlibrary.co.uk/
Comment 8 Katrin Fischer 2014-12-17 20:49:50 UTC
Thx for explaining, Elaine!
Comment 9 Aleisha Amohia 2014-12-18 00:24:34 UTC Comment hidden (obsolete)
Comment 10 Jonathan Druart 2014-12-18 10:12:58 UTC Comment hidden (obsolete)
Comment 11 Kyle M Hall 2014-12-19 16:10:33 UTC
Created attachment 34576 [details] [review]
[PASSED QA] Bug 13436: Adding more options to UsageStatsLibraryType syspref

Added options:
- research
- private
- society or association
- corporate
- government
- religious organization
- subscription
- school

Also changed 'university' to 'academic'

To test:
1) Go on to Global System Preferences and find UsageStatsLibraryType under Administration
2) Click drop-down menu and see all new options described above, as well as 'academic' instead of 'university'

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Amended patch: replace tab with spaces

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 12 Tomás Cohen Arazi 2014-12-19 19:48:54 UTC
Created attachment 34599 [details] [review]
Bug 13436: (RM followup) university -> academic DB update

Signed-off-by: Tomas Cohen Arazi <tomascohen@gmail.com>
Comment 13 Tomás Cohen Arazi 2014-12-19 20:12:14 UTC
Patch pushed to master.

Nice improvement Aleisha!
Comment 14 Chris Cormack 2014-12-19 23:45:36 UTC
String changes, held for 3.18.3
Comment 15 Chris Cormack 2014-12-25 19:02:04 UTC
Pushed to 3.18.x will be in 3.18.3
Comment 16 Mason James 2015-01-16 19:01:44 UTC
hmm, a possible inclusion for the Hea backport to 3.16?
Comment 17 Katrin Fischer 2015-01-16 19:12:01 UTC
Hm, might be good, but need to make sure the database update is ok for udpating from 3.16 to 3.18 with it running twice.